Saltar al contenido

List canon phase rows

Módulo Canon

GET/canon/phasescanonPhases.list

A gated phase. Nine phases with fixed, append-only ordinals. Returns a cursor page of canon phase rows the caller may see. Coded list: the default order is numeric code order by `gate`. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonPhases.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de CanonPhase

canonPhases.list: CanonPhase
CampoTipoObligatorioDescripción
gateintegerSíGate ordinal.Restricciones: range 1 to any
phase_codePhaseCodeSíPhase code from `xpms.dim_phase`, ordered by gate ordinal.Restricciones: pattern ^[A-Z]{3}$
phasestringSíPhase name.Restricciones: length 1 to 200
act_codeActCodeSíAct from `xpms.dim_act`.Restricciones: pattern ^[A-Z]+$
definitionstringSíDefinition, in sentence case.Restricciones: length 1 to 20000
gate_exitstringSíWhat must be true to pass the gate.Restricciones: length 1 to 20000
is_redefinedbooleanSíTrue when 4.0 kept the code but redefined the phase (Advance).
{
  "data": [
    {
      "gate": 1,
      "phase_code": "SCP",
      "phase": "Scope",
      "act_code": "PLAN",
      "definition": "What needs to happen.",
      "gate_exit": "Go or no-go ratified.",
      "is_redefined": false
    },
    {
      "gate": 2,
      "phase_code": "ENG",
      "phase": "Engage",
      "act_code": "PLAN",
      "definition": "What needs to happen.",
      "gate_exit": "Go or no-go ratified.",
      "is_redefined": false
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/phases" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.canonPhases.listAll()) {
  console.log(row);
}
for row in xos.canon_phases.list_all():
    print(row)
xos canon-phases list --all